module Maglove
  module Widget
    class Heading < V2
      def identifier
        "heading"
      end

      def defaults
        {
          type: "h1",
          align: "left",
          line_height: "1.3",
          padding: [0, 0, 8, 0],
          id: nil
        }
      end
    end

    class LegacyHeading < V1
      def identifier
        "heading"
      end

      def defaults
        {
          type: "h1",
          style: "default",
          align: "left",
          margin_bottom: "1em",
          line_height: nil,
          letter_spacing: nil,
          id: nil
        }
      end

      def render(&block)
        super do
          haml_tag :header, id: options[:id].to_s, class: "#{options[:style]} align-#{options[:align]}", style: style_string(options, :margin, :padding) do
            haml_tag options[:type], class: "_typeloft_editable _typeloft_widget_autoselect", style: style_string(options, :line_height, :letter_spacing) do
              yield self if block_given?
            end
          end
        end
      end
    end
  end
end
