module Maglove
  module Widget
    class HorizontalRule < V2
      def identifier
        "horizontal_rule"
      end

      def defaults
        {
          style: 'solid',
          color: 'dark'
        }
      end
    end

    class LegacyHorizontalRule < V1
      def identifier
        "horizontal_rule"
      end

      def defaults
        {
          style: 'solid',
          color: 'dark',
          max_height: 'inherit'
        }
      end

      def render(&block)
        super do
          haml_tag :hr, style: "max-height: #{options[:max_height]}", class: "#{options[:style]} #{options[:color]}"
        end
      end
    end
  end
end
