module Maglove
  module Widget
    class Property < V2
      def identifier
        "property"
      end
    end

    class LegacyProperty < V1
      def identifier
        "property"
      end

      def defaults
        {
          label: "Label",
          value: "Value"
        }
      end

      def render(&block)
        super do
          haml_tag :div, property_options do
            haml_tag :span, class: "property-label" do
              haml_concat(options[:label])
            end
            haml_tag :span, class: "property-value" do
              haml_concat(options[:value])
            end
            haml_tag :span, class: "clearfix"
          end
        end
      end

      private

      def property_options
        {
          class: "property-container",
          style: style_string(options, :margin_bottom)
        }
      end
    end
  end
end
