module Maglove
  module Widget
    class Video < V2
      def identifier
        "video"
      end

      def defaults
        {
          width: "640",
          height: "360",
          preload: "auto",
          style: "default",
          source: false,
          poster: false,
          autoplay: false,
          controls: true,
          loop: false
        }
      end
    end

    class LegacyVideo < V1
      def identifier
        "video"
      end

      def defaults
        {
          width: "640",
          height: "360",
          preload: "auto",
          style: "default",
          source: false,
          poster: false,
          autoplay: false,
          controls: true,
          loop: false,
          margin_bottom: "0"
        }
      end

      def render(&block)
        super do
          haml_tag :div, style: "margin-bottom: #{options[:margin_bottom]}", class: "video-widget player-style-#{options[:style]}" do
            haml_tag :video, controls: true, poster: options[:poster], style: "width: 100%" do
              haml_tag :source, src: options[:source].to_s, type: "video/mp4"
            end
          end
        end
      end
    end
  end
end
