module Maglove
  module Widget
    class Youtube < V2
      def identifier
        "youtube"
      end

      def defaults
        {
          youtube_id: "LFYNP40vfmE",
          width: "800",
          height: "600"
        }
      end
    end

    class LegacyYoutube < V1
      def identifier
        "youtube"
      end

      def defaults
        {
          youtube_id: "LFYNP40vfmE",
          width: "800",
          height: "600"
        }
      end

      def render(&block)
        super do
          haml_tag :div, class: "flex-video widescreen", style: style_string(options, :margin, :padding) do
            haml_tag :iframe, src: "https://www.youtube.com/embed/#{options[:youtube_id]}", type: "text/html", style: "max-width: 100%; position: absolute; top: 0px; left: 0px; width: 100%; height: 100%;", allowfullscreen: "", frameborder: "0", webkitallowfullscreen: "", mozallowfullscreen: ""
          end
        end
      end
    end
  end
end
